#!/usr/bin/env python3

from sys import argv
from random import randint

m = randint(500, 1000)
n = randint(500, 1000)
k = randint(5500, 6000)
do_stripes = True

print(m, n, k)
for i in range(k):
    r1, r2 = randint(0, m - 1), randint(0, m - 1)
    if r1 > r2:
        r1, r2 = r2, r1
    c1, c2 = randint(0, n - 1), randint(0, n - 1)
    if c1 > c2:
        c1, c2 = c2, c1
    if do_stripes:
        if randint(0, 1) == 0:
            r2 = min(r2, r1 + randint(0, 2))
        else:
            c2 = min(c2, c1 + randint(0, 2))
    print(r1, c1, r2 - r1 + 1, c2 - c1 + 1, randint(1, 2**31-1))
