#include <iostream>
#include <algorithm>
#include <vector>
#include <cstring>

using namespace std;

int m,n,k;
double A[1001][1001];
struct rect{
    int r, c, h, w, p;
};
vector<rect> R;

int main()
{
    ios_base::sync_with_stdio(false);
    cin >> m >> n >> k;
    R.resize(k);
    for (int i = 0; i < k; i++) {
        cin >> R[i].r >> R[i].c >> R[i].h >> R[i].w >> R[i].p;
    }
    sort(R.begin(), R.end(), [](const auto &a, const auto &b) -> bool {
        return a.p * 1ll * b.h * b.w < b.p * 1ll * a.h * a.w;
    });
    memset(A,0,sizeof(A));
    for (auto &r : R) {
        auto cost = r.p * 1.0 / (r.h * r.w);
        for (int x = r.r; x < r.r + r.h; x++) {
            for (int y = r.c; y < r.c + r.w; y++) {
                A[x][y] = cost;
            }
        }
    }
    double ans = 0;
    for (int x=0; x<m;x++) {
        for (int y=0;y<n;y++) {
            ans += A[x][y];
        }
    }
    cout.setf(ios::fixed);
    cout.precision(10);
    cout << ans << endl;
}
