#!/usr/bin/env bash

g++ -O2 --std=c++17 solve_naive.cpp -o naive
g++ -O2 --std=c++17 solve_quadtree.cpp -o quadtree

for ((i=0;;i++)); do
    ./gen_rand_test.py 10 10 1000 > test.in
    ./naive < test.in > test.naive.out &
    ./quadtree < test.in > test.quadtree.out &
    wait
    if ! ./check.py test.naive.out test.quadtree.out ; then
        echo "${i} WA";
        exit 1
    else
        echo "${i} OK"
    fi
done
