#!/usr/bin/env bash

set -e

g++ -O2 --std=c++17 solve_naive.cpp -o quadtree

for f in tests/*.in ; do
    echo "$f"
    time ./quadtree < $f > quadtree.out
    if ! ./check.py quadtree.out ${f/in/out} ; then
        echo "WA"
        exit 1
    else
        echo "OK"
    fi
done
