#include "checker2.h"
#include <math.h>

enum { ARG_COUNT = 4 };

#define max(X,Y) ((X) > (Y) ? (X) : (Y))
#define min(X,Y) ((X) < (Y) ? (X) : (Y))


int main(int argc, char *argv[])
{
    if (argc != ARG_COUNT) {
        fatal_CF("wrong number of arguments: %d instead of %d\n", argc, ARG_COUNT);
    }

    checker_do_init(argc, argv, 1, 0, 0);
    int output = -1;
    int cur_output = 0;
    checker_read_int_2(1, "cur_output", 1, 10, &cur_output);
    checker_read_out_int("output", 0, &output);
    int good_output = 0;
    checker_read_int_2(2, "good_output", 1, 10, &good_output);
    if (cur_output < 0) {
        fatal_PE("copters failed to get to the final state");
    }
    char buf[200];
    if (good_output == 8) {
	    printf("0\n");
	    fatal_WA("0");
    }
    sprintf(buf, "%d\n", min(5, max(1, (int)(5. * good_output / cur_output))));
    printf("%d\n", min(5, max(1, (int)(5 * good_output / cur_output))));
    fatal_WA(buf);
}
